Debian Bug report logs - #490868
select(2): timeout value description much less obvious than it should be

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Andreas Mohr <andi@lisas.de>

Date: Mon, 14 Jul 2008 20:57:07 UTC

Severity: wishlist

Found in version manpages/3.02-1

Fixed in version manpages/3.04-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#490868; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Andreas Mohr <andi@lisas.de>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Mohr <andi@lisas.de>
To: submit@bugs.debian.org
Subject: select(2): timeout value description much less obvious than it should be
Date: Mon, 14 Jul 2008 22:56:45 +0200
Package: manpages-dev
Version: 3.02-1
Severity: wishlist

Hello all,

man 2 select states:

"
       timeout  is  an  upper  bound  on the amount of time elapsed before select()
       returns.  It may be zero, causing select() to return immediately.  (This  is
       useful  for  polling.)   If timeout is NULL (no timeout), select() can block
       indefinitely.
"

This... is... confusing.
aka "what the heck is the difference between timeout zero and timeout NULL!?!?"


"It may be zero" should thus definitely be changed into something like
"the timeout value represented by the timeval struct may be zero"
to make sure that people grok the difference between a NULL _pointer_ and a
zero _representation_ of a struct.

This all considering that this is indeed how select(2) works (haven't
actually verified it myself recently).

Thanks for your much needed docu work,

Andreas Mohr




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#490868; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk.manpages@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 490868@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk.manpages@googlemail.com>
To: "Andreas Mohr" <andi@lisas.de>, 490868@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#490868: select(2): timeout value description much less obvious than it should be
Date: Mon, 14 Jul 2008 23:26:32 +0200
[Message part 1 (text/plain, inline)]
 tags 490868 fixed-upstream
thanks

Fixed for upstrream 3.04.

Andreas.

thanks for your bug report.

On Mon, Jul 14, 2008 at 10:56 PM, Andreas Mohr <andi@lisas.de> wrote:
> Package: manpages-dev
> Version: 3.02-1
> Severity: wishlist
>
> Hello all,
>
> man 2 select states:
>
> "
>       timeout  is  an  upper  bound  on the amount of time elapsed before
select()
>       returns.  It may be zero, causing select() to return immediately.
 (This  is
>       useful  for  polling.)   If timeout is NULL (no timeout), select()
can block
>       indefinitely.
> "
>
> This... is... confusing.
> aka "what the heck is the difference between timeout zero and timeout
NULL!?!?"
>
>
> "It may be zero" should thus definitely be changed into something like
> "the timeout value represented by the timeval struct may be zero"
> to make sure that people grok the difference between a NULL _pointer_ and
a
> zero _representation_ of a struct.
>
> This all considering that this is indeed how select(2) works (haven't
> actually verified it myself recently).

It is / your understanding is correct.

I've changed the wording to be something pretty similar to what you
suggest.  the changes will be in upstream 3.04.

Cheers,

Michael
[Message part 2 (text/html, inline)]

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Mohr <andi@lisas.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 490868-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 490868-close@bugs.debian.org
Subject: Bug#490868: fixed in manpages 3.04-1
Date: Wed, 23 Jul 2008 09:17:29 +0000
Source: manpages
Source-Version: 3.04-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.04-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.04-1_all.deb
manpages_3.04-1.diff.gz
  to pool/main/m/manpages/manpages_3.04-1.diff.gz
manpages_3.04-1.dsc
  to pool/main/m/manpages/manpages_3.04-1.dsc
manpages_3.04-1_all.deb
  to pool/main/m/manpages/manpages_3.04-1_all.deb
manpages_3.04.orig.tar.gz
  to pool/main/m/manpages/manpages_3.04.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 490868@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 23 Jul 2008 10:56:23 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.04-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 435648 490868
Changes: 
 manpages (3.04-1) unstable; urgency=low
 .
   * New upstream version
     . Clarify "zero timeout" case in select(2) (closes: Bug#490868)
     . Clarify treatment of initial white space by %% conversion
       specification in scanf(3) (closes: Bug#435648)
Checksums-Sha1: 
 a79604c1e982c64ff09b4c8b2f320a0d5b75db87 964 manpages_3.04-1.dsc
 85e115c2e86b3f71985be0c52a06a1f4e3cacba8 1394674 manpages_3.04.orig.tar.gz
 2f07ed0b5ff8eec1e38310921143271fbd40de67 46625 manpages_3.04-1.diff.gz
 bdf9c6e9285cd7bac414a1d5acac6c70403423c8 608242 manpages_3.04-1_all.deb
 63be5cccb61b1d669034c96edc2f435b5468c8d3 1428976 manpages-dev_3.04-1_all.deb
Checksums-Sha256: 
 276dc265a555e8d9faf48e69187d44975c46279ad3f07ecb87bdb55f1cc81147 964 manpages_3.04-1.dsc
 54fa6c13b9953919302cc4d7982ba9d84db6cefa0d9a4b9d7618e364c66088cf 1394674 manpages_3.04.orig.tar.gz
 4f82f5a93fb027c1ebab645fe760f2ecec71ebadbb00124c179599506ebb4442 46625 manpages_3.04-1.diff.gz
 247c2c821eff3e519fcf446f47e2af3c41e10ba965aff1d901a504acca07a2bc 608242 manpages_3.04-1_all.deb
 9e9f721c8ad0ed9817b76ec4151da283aaac0b9ec86adee1f1dee6c0c4a0d531 1428976 manpages-dev_3.04-1_all.deb
Files: 
 bfeaba2ec9d63d25ea2bf5335e9fb8fc 964 doc important manpages_3.04-1.dsc
 3b257b63206672d23dd1fbf010ddbab8 1394674 doc important manpages_3.04.orig.tar.gz
 544192399c449909ef2fe4ce7b485d87 46625 doc important manpages_3.04-1.diff.gz
 ece0d65b229f7651821160ee7db173d7 608242 doc important manpages_3.04-1_all.deb
 9c1fbbd8f7dbe3673db13070f696b585 1428976 doc optional manpages-dev_3.04-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIhvNZW5ql+IAeqTIRAvQjAKC5jiylugwu6Wzy62HNne1N/KYMRQCgkW6p
UahvlChjvm7JnV/mKP/ggNw=
=tOir
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Aug 2008 07:39:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:17:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.